%global codename fuerte
%global shortname filters

Name:		ros-%{codename}-filters
Version:	1.6.0
Release:	1%{?dist}
Summary:	Standardized ROS interface for processing data as filters
License:	BSD
URL:		http://ros.org/wiki/filters
Source0:	https://code.ros.org/svn/release/download/stacks/filters/filters-%{version}/filters-%{version}.tar.bz2
BuildRequires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
BuildRequires:	ros-%{codename}-pluginlib-devel
BuildRequires:	cmake, python-yaml
BuildRequires:	chrpath
Provides:	ros-%{shortname} = %{version}-%{release}

%description
This ROS library provides a standardized interface for processing data as a 
sequence of filters. This package contains a base class upon which to build 
specific implementations as well as an interface which dynamically loads 
filters based on runtime parameters.

%package devel
Summary:	Development files for ROS filters
Requires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
Requires:	ros-%{codename}-pluginlib-devel
Requires:	%{name} = %{version}-%{release}
Provides:	ros-%{shortname}-devel = %{version}-%{release}

%description devel
Development files for ROS filters.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{shortname}-%{version} %{shortname}

%build
cd %{shortname}
source /etc/catkin/profile.d/10.ros.all
export ROS_PACKAGE_PATH="%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH"
mkdir build
cd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}

%install
cd %{shortname}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib
mkdir -p %{buildroot}%{_libdir}
for i in libincrement.so libmean.so libmedian.so libparams.so libtransfer_function.so; do
  cp -a lib/$i %{buildroot}%{_libdir}
  ln -s %{_libdir}/$i %{buildroot}%{_datadir}/ros-stacks/%{shortname}/lib/$i
done
cp -a *.xml *.dox include %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

chrpath -d %{buildroot}%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_datadir}/ros-stacks/%{shortname}/
%exclude %{_datadir}/ros-stacks/%{shortname}/include/
%{_libdir}/libincrement.so
%{_libdir}/libmean.so
%{_libdir}/libmedian.so
%{_libdir}/libparams.so
%{_libdir}/libtransfer_function.so

%files devel
%{_datadir}/ros-stacks/%{shortname}/include/

%changelog
* Wed May 23 2012 Tom Callaway <spot@fedoraproject.org> - 1.6.0-1
- initial package
